Page MenuHomePhabricator

[X86][XOP]: Adding full coverage of MC encoding for the XOP isa set.<NFC>
ClosedPublic

Authored by craig.topper on Dec 19 2017, 6:03 AM.

Details

Summary

NFC.
Adding MC regressions tests to cover the XOP isa set.
This patch is part of a larger task to cover MC encoding of all X86 isa sets started in revision: https://reviews.llvm.org/D39952

Diff Detail

Repository
rL LLVM

Event Timeline

gadi.haber created this revision.Dec 19 2017, 6:03 AM

Any chance that you could pull out the lwp tests into their own files? Same as I assume you'll be doing for TBM?

This revision is now accepted and ready to land.Dec 19 2017, 9:14 AM
RKSimon requested changes to this revision.Dec 19 2017, 10:15 AM

The XOP vector tests looks OK, but the LWP ones need r32 AND r64 register tests on x86_64

test/MC/X86/XOP-64.s
5 ↗(On Diff #127514)

You're missing r64 register LWP tests on x86_64 as well as r32 - llwpcb/lwpins/lwpval/slwpcb

This revision now requires changes to proceed.Dec 19 2017, 10:15 AM

updated XOP-64 tests following comments by Craig

@gadi.haber Are you still looking at this? I can commandeer and make the changes I requested if you don't have the time.

RKSimon commandeered this revision.Jan 21 2018, 6:36 AM
RKSimon edited reviewers, added: gadi.haber; removed: RKSimon.

Commandeering after checking with @gadi.haber

This revision is now accepted and ready to land.Jan 21 2018, 6:36 AM
RKSimon planned changes to this revision.Jan 21 2018, 6:36 AM
craig.topper commandeered this revision.Dec 20 2018, 10:58 AM
craig.topper edited reviewers, added: RKSimon; removed: craig.topper.

Going to try to finish this

Add more 64 bit operands

Please can you split off the lwp tests into LWP-32.s + LWP-64.s?

Split LWP and XOP tests. Strip trailing whitespace from 32-bit files. I think I had already stripped it from the 64-bit files

RKSimon accepted this revision.Jan 2 2019, 3:04 AM

LGTM - thanks for doing this!

This revision is now accepted and ready to land.Jan 2 2019, 3:04 AM
This revision was automatically updated to reflect the committed changes.